Package org.apache.sysds.runtime.lineage

# Class LineageGPUCacheEviction

java.lang.Object
org.apache.sysds.runtime.lineage.LineageGPUCacheEviction

public class LineageGPUCacheEviction extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static ExecutorService`
`gpuEvictionThread`

## Constructor Summary

Constructors
Constructor
Description
`LineageGPUCacheEviction()`

## Method Summary

Modifier and Type
Method
Description
`static jcuda.Pointer`
`copyToHostCache(LineageCacheEntry entry)`
`static void`
`decrementLiveCount(jcuda.Pointer ptr)`
`static Set<jcuda.Pointer>`
`getAllCachedPointers()`
`static boolean`
`isGPUCacheFreeQEmpty()`
`static int`
`numPointersCached()`
`static LineageCacheEntry`
`pollFirstFreeEntry(long size)`
`static LineageCacheEntry`
`pollFistFreeNotExact(long size)`
`static boolean`
`probeLiveCachedPointers(jcuda.Pointer ptr)`
`static void`
`removeAllEntries(double evictFrac)`
`static void`
`removeFromDeviceCache(LineageCacheEntry entry, jcuda.Pointer ptr, boolean removeFromCache)`
`static void`
`setGPUContext(GPUContext gpuCtx)`
`static long`
`totalMemoryCached()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### gpuEvictionThread

public static ExecutorService gpuEvictionThread

## Constructor Details

### LineageGPUCacheEviction

public LineageGPUCacheEviction()

## Method Details

### decrementLiveCount

public static void decrementLiveCount(jcuda.Pointer ptr)

### probeLiveCachedPointers

public static boolean probeLiveCachedPointers(jcuda.Pointer ptr)

### removeAllEntries

public static void removeAllEntries(double evictFrac)

### setGPUContext

public static void setGPUContext(GPUContext gpuCtx)

### isGPUCacheFreeQEmpty

public static boolean isGPUCacheFreeQEmpty()

### pollFirstFreeEntry

public static LineageCacheEntry pollFirstFreeEntry(long size)

### pollFistFreeNotExact

public static LineageCacheEntry pollFistFreeNotExact(long size)

### numPointersCached

public static int numPointersCached()

### totalMemoryCached

public static long totalMemoryCached()

### getAllCachedPointers

public static Set<jcuda.Pointer> getAllCachedPointers()

### copyToHostCache

public static jcuda.Pointer copyToHostCache(LineageCacheEntry entry)

### removeFromDeviceCache

public static void removeFromDeviceCache(LineageCacheEntry entry, jcuda.Pointer ptr, boolean removeFromCache)